Index: sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php
===================================================================
--- sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6255)
+++ sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6797)
@@ -120,3 +120,19 @@
 	};
         
+	$test[] = '1.007';
+	function expressoCalendar_upgrade1_007() {
+	 	$oProc = $GLOBALS['phpgw_setup']->oProc;
+
+	 	$oProc->query("ALTER TABLE calendar_object ADD COLUMN priority smallint DEFAULT 0;");
+	 	$oProc->query("ALTER TABLE calendar_object ADD COLUMN percentage smallint DEFAULT 0;");
+	 	$oProc->query("ALTER TABLE calendar_object ADD COLUMN status smallint DEFAULT 0;");
+
+	 	$oProc->query("ALTER TABLE calendar ADD COLUMN type smallint DEFAULT 0;");
+	 	
+	 	$oProc->query("ALTER TABLE calendar_signature ADD COLUMN type smallint DEFAULT 0;");
+
+        $GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.008';
+        return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
+	};
+        
 ?>
Index: sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php
===================================================================
--- sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php	(revision 6255)
+++ sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php	(revision 6797)
@@ -13,5 +13,5 @@
 	$setup_info['expressoCalendar']['title']     	= 'Expresso Calendar';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoCalendar']['version']   	= '1.007';
+	$setup_info['expressoCalendar']['version']   	= '1.008';
 	$setup_info['expressoCalendar']['app_order']	= 10;
 
Index: sandbox/2.4.2-expresso1/prototype/config/calendar.ini
===================================================================
--- sandbox/2.4.2-expresso1/prototype/config/calendar.ini	(revision 5592)
+++ sandbox/2.4.2-expresso1/prototype/config/calendar.ini	(revision 6797)
@@ -19,4 +19,5 @@
 id = "id"
 name = "name"
+type = "type"
 location = "location"
 timezone = "tzid"
Index: sandbox/2.4.2-expresso1/prototype/config/schedulable.ini
===================================================================
--- sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6190)
+++ sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6797)
@@ -56,2 +56,5 @@
 sequence = sequence
 timezone = tzid
+priority = priority
+percentage = percentage
+status = status
Index: sandbox/2.4.2-expresso1/prototype/config/calendarSignature.ini
===================================================================
--- sandbox/2.4.2-expresso1/prototype/config/calendarSignature.ini	(revision 5514)
+++ sandbox/2.4.2-expresso1/prototype/config/calendarSignature.ini	(revision 6797)
@@ -22,4 +22,5 @@
 calendar = calendar_id
 isOwner = is_owner
+type = type
 msgAdd = msg_add
 msgCancel = msg_cancel
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6788)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6797)
@@ -10,6 +10,9 @@
 class DBMapping extends Helpers {
 
-    static function encodeCreateSchedulable(&$uri, &$params, &$criteria, $original) {
-	$params['type_id'] = EVENT_ID;
+    static function encodeCreateSchedulable(&$uri, &$params, &$criteria, $original) 
+    {
+
+    	if(isset($params['summary']) && $params['summary'] == '')
+	    $params['summary'] = 'Evento sem título';
 
 	if (!is_numeric($params['startTime']))
@@ -30,5 +33,4 @@
 	$params['dtstamp'] = (isset($params['dtstamp'])) ? $params['dtstamp'] : time() . '000';
 	$params['lastUpdate'] = (isset($params['lastUpdate'])) ? $params['lastUpdate'] : time() . '000';
-	$params['type'] = EVENT_ID;
 	$params['uid'] = isset($params['uid']) ? $params['uid'] : self::_makeUid();
     }
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php	(revision 6295)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php	(revision 6797)
@@ -2,4 +2,11 @@
 
 define('EVENT_ID', 1);
+define('TASK_ID', 2);
+
+define('SIGNATURE_TYPE_NORMAL', 0);
+define('SIGNATURE_TYPE_DEFAULT', 1);
+
+define('CALENDAR_TYPE_EVENT', 0);
+define('CALENDAR_TYPE_TASK_GROUP', 1);
 
 define('STATUS_CONFIRMED', 1);
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css	(revision 6476)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css	(revision 6797)
@@ -404,5 +404,5 @@
 /* -- calendar list styles -- */
 
-.my-calendars .button.new {
+.my-calendars .button.new, .my-groups-task .button.new{
   float:right;
   width: 15px;
@@ -410,5 +410,5 @@
 }
 
-.my-calendars .status-list {
+.my-calendars .status-list, .my-groups-task  .status-list {
 	display: inline-block;
 	margin: 0px 0pc -4px -5px;
@@ -416,9 +416,9 @@
 }
 
-.my-calendars .list-calendars-item, .signed-calendars .list-calendars-item{
+.my-calendars .list-calendars-item, .signed-calendars .list-calendars-item, .my-groups-task .list-calendars-item{
 	position: relative; 
 	overflow: hidden;
 }
-.my-calendars .list-calendars-item div, .signed-calendars .list-calendars-item div{
+.my-calendars .list-calendars-item div, .signed-calendars .list-calendars-item div, .my-groups-task .list-calendars-item div{
 	overflow:hidden; 
 	width:6000px; 
@@ -426,5 +426,5 @@
 }
 
-.my-calendars .cal-list-options-btn, .signed-calendars .cal-list-options-btn {
+.my-calendars .cal-list-options-btn, .signed-calendars .cal-list-options-btn, .my-groups-task .cal-list-options-btn {
 	position: absolute;
 	top: 2px;
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6301)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6797)
@@ -223,5 +223,10 @@
 .block-vertical-toolbox .button.add {
     width:190px;
-}
+    margin-bottom: 5px;
+}
+
+div.qtip div.add-simple-task input{width: 188px}
+div.qtip div.add-simple-task textarea{width: 184px}
+
 
 .fc-header .fc-state-active, .fc-header .ui-state-active {
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6768)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6797)
@@ -728,4 +728,5 @@
 		id: form.idEvent,
 		location: form.location,
+		type: 1,
 		category: form.category,
 		summary: form.summary,
@@ -953,5 +954,6 @@
 			attendee = DataLayer.get('participant', evt.participants[i]);
 			if(attendee.user == User.me.id)
-			    return (attendee.acl.indexOf('w') >= 0 || attendee.acl.indexOf('o') >= 0 ) ? {
+					    return (attendee.acl.indexOf('w') >= 0 || attendee.acl.indexOf('o') >= 0 ) ? 
+						{
 				selectable: true, 
 				className: 'fullcalendar-context-menu  event-id-'+idEvent+' calendar-id-'+calendar.id+ (isRecurrence ? ' isRecurrence Recurrence-id-'+Recurrence : '')
@@ -979,17 +981,18 @@
 			return returns;
 		    }				
-		    return DataLayer.merge({
+		    return DataLayer.merge(
+			{
 			editable: aclSignature.acl['write'] && !isRecurrence,
 			disableResizing : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true : false),
 			disableDragging  : (((aclSignature.acl['busy'] && !aclSignature.acl['write']) || (!aclSignature.acl['write'] && aclSignature.acl['read'])) ? true: false),
 			className: mountClass(aclSignature.acl)
-		    }, aclSignature.acl['busy'] ? {
-			title: 'Ocupado', 
-			selectable: false
-		    } : {
-			selectable: true
-		    });
+			}, aclSignature.acl['busy'] ? 
+			{
+			    title: 'Ocupado', 
+			    selectable: false
+			} : {
+			    selectable: true
+			});	
 		}
-			
 	    }
 		
@@ -1008,5 +1011,6 @@
 		  
 	    for( var i = 0; i < occurrences.length; i++ )
-		grouped[ evt.calendar ].push( DataLayer.merge({
+		grouped[ evt.calendar ].push( DataLayer.merge(
+		{
 		    id: evt.URI || evt.id+ '-' + i,
 		    title: Encoder.htmlDecode(evt.summary),
@@ -1016,4 +1020,5 @@
 		    isRepeat: isRepeat,
 		    occurrence: i,
+		    type: evt.type,
 		    calendar: evt.calendar
 		    }, eventEditable(evt.id, isRepeat, i ) ) );
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6718)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6797)
@@ -2091,5 +2091,7 @@
 		});
 	}
+	
 	doMenu();
+	
 	$('#divAppbox').on('scroll',function(){
 		if ($('.cal-list-options-btn.fg-menu-open.ui-state-active')){			
@@ -2099,4 +2101,5 @@
 		}
 	});
+	
 	$('ul.list-calendars .cal-list-options-btn').on('click',function(){doMenu();});         
 	
@@ -2204,7 +2207,6 @@
 			
 	    $('.qtip-active').keydown(function(event) {
-		if (event.keyCode == '27') {
+					if (event.keyCode == '27') 
 		    meu_container.find(".button.new").qtip('destroy');
-		}
 	    });
 			
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6768)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6797)
@@ -1,4 +1,3 @@
 $(document).ready(function() {
-
 	//Remove o icone de configuraçõe padrão antigo do expresso
 	$('#sideboxdragarea').addClass('hidden');
@@ -148,4 +147,113 @@
 			}, true );
 		});
+		/* Quick add task
+      	-----------------------------------------------------------------*/
+		$(".button.add.add-task").click(function(event){
+			var componente = $(this);
+
+			$(componente).qtip({
+			    show: {
+			    	ready: true, 
+		    		solo: true, 
+		    		when: {
+			    		event: 'click'
+			    	}
+				},
+				hide: false,
+				content: {
+					text: $('<div></div>').html( DataLayer.render( 'templates/task_quick_add.ejs', {} ) ),
+					title: {
+						text:'Nova tarefa', 
+						button: '<a class="button close" href="#">close</a>'
+					}
+				},
+				style: {
+					name: 'blue', 
+			    	tip: {
+						corner: 'leftMiddle'
+					}, 
+		    		border: {
+						width: 4, 
+					    radius: 8
+					}, 
+			    	width: {
+						min: 225, 
+					    max:225
+					}
+		   		},
+		    	position: {
+		    		corner: {
+					    target: 'rightMiddle',
+					    tooltip: 'leftMiddle'
+		    		},
+		    		adjust: {
+					    x:0, 
+					    y:0
+		    		}
+		    	}
+		    })
+	    	.qtip("api").onShow = function(arg0) {
+
+	    		/*------------------------------------------------------------------------*/
+	    		/*               Seta os valores padrões nos inputs do qtip               */
+	    		$('div.qtip div.add-simple-task input.task').Watermark("Tarefa sem título");
+				$('div.qtip div.add-simple-task textarea').Watermark("Descrição");
+				/*------------------------------------------------------------------------*/
+
+			    $('.qtip-active .button.close').button({
+				icons: {
+				    primary: "ui-icon-close"
+				},
+				text: false
+			    })
+			    .click(function(){
+					$(componente).qtip('destroy');
+			    });
+							
+			    $('.qtip-active .button.save').button().click(function(){
+			    	
+			    	var title = $('div.qtip div.add-simple-task input.task').val();
+					var description = $('div.qtip div.add-simple-task textarea').val();
+
+					var calendar, timezone = '';
+
+					for (var i = 0; i < Calendar.signatures.length; i++){
+						if(Calendar.signatures[i].type == 1 && Calendar.signatures[i].calendar.type == 1){
+							calendar = Calendar.signatures[i].calendar.id;
+							timezone = Calendar.signatures[i].calendar.timezone;
+							break;
+						}
+					}
+
+
+			    	DataLayer.put('schedulable', 
+		    		{
+		    			summary: title, 
+		    			description: description, 
+		    			type: '2', 
+		    			calendar: calendar, 
+		    			timezone: timezone,
+		    			startTime: new Date().toString('yyyy-MM-dd 00:00:00'),
+		    			endTime: new Date().toString('yyyy-MM-dd 00:00:00'),
+		    			allDay: '1'
+		    		});
+			    	//DataLayer.commit();
+
+			    	$(componente).qtip('destroy');
+			    });
+
+			    $('.qtip-active .button.advanced').button().click(function(){
+			    	$(componente).qtip('destroy');
+			    	alert('Nova Tela de criação tarefas');
+			    });
+								
+				$('.qtip-active .button.cancel').button().click(function(){
+					$(componente).qtip('destroy');
+			    });					
+							
+			    $('.button').button();
+							
+			};
+		});
 
 	var calendar = $('#calendar').fullCalendar(DataLayer.merge({ 
@@ -190,9 +298,12 @@
 			year: 'ano'
 		},
+		
+		eventRender: function( event, element, view ){
 		/*
-		eventRender: function( event, element, view ){
-			$(element).attr( 'event-id', event.id );
-		},
-		*/
+			 * TODO - Encontrar icones mais filé
+			 */
+    	    element.find(".fc-event-inner.fc-event-skin").prepend($('<img class="" src="../prototype/modules/calendar/img/' + ( (event.type == 1) ? "event" : "task" ) + '.png"></img>'));
+		},
+		
 		select: function( start, end, allDay, event, view ){
 			if (view.name == "month") {
@@ -286,4 +397,7 @@
 		eventClick: function( evt, event, view ){
 			evt.id = evt.id.split('-')[0];
+            
+			if(evt.type == 1){
+
                         if(evt.selectable){
                             if(evt.isRepeat){
@@ -309,13 +423,12 @@
                                         }
                                 });
-                                
                             }else{
 				var schedulable = DataLayer.get( "schedulable", evt.id);
 				schedulable.calendar = evt.calendar;
 				eventDetails( schedulable, true);
-				
 			    }
-                                
                         }
+            }else
+				alert('Editar Tarefa');
 		},
 		
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_quick_add.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_quick_add.ejs	(revision 6797)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_quick_add.ejs	(revision 6797)
@@ -0,0 +1,12 @@
+<div class="add-simple-task">
+
+	<input type="text" class="task" name="title" value=""/>
+	<textarea name="description" class="task"></textarea>
+
+	<fieldset class="menu-container footer-container menu-addevent">
+		<a class="button advanced" href="#">Avancado</a>
+		<a class="button cancel" href="#">Cancelar</a>
+	    <a class="button save" href="#">Salvar</a>
+    </fieldset>
+
+</div>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 5927)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 6797)
@@ -1,5 +1,50 @@
+<%
+    var signatures = {'calendar': [], 'taskGroup': [], 'sharedCalendar': []};
+    for(var i = 0; i < data.signatures.length; i++)
+    {
+        if(data.signatures[i].calendar.type == 1){
+            signatures['taskGroup'].push(data.signatures[i]);
+        }else{
+            signatures[data.signatures[i].isOwner == 1 ? 'calendar' : 'sharedCalendar'].push(data.signatures[i]);    
+        }
+    }
+%>
+
 <div class="all-list-calendars">
-    <% var signature = data.signatures %>
-    <% var external = false %>
+
+    <div class="my-groups-task">
+        <a title='Grupos de tarefas' class="title-my-calendars" aria-expanded='false' role='button' tabindex='0'>Grupos de tarefas</a>
+        <span class="status-list ui-icon ui-icon-triangle-1-s"></span>
+        <a href="#" class="button new new-calendar">Novo Grupo</a>
+        <ul class="list-calendars my-list-calendars">
+            <% for (var i=0; i < signatures['taskGroup'].length; i++) {%>
+            <li class="list-calendars-item list-calendars-item-<%= signatures['taskGroup'][i].calendar.id %>" title="<%= signatures['taskGroup'][i].calendar.name %>">
+
+                <div>
+                    <input class="calendar-view" type="checkbox" name="" value="<%= signatures['taskGroup'][i].calendar.id %>" checked="checked"/>
+                    <label><%= signatures['taskGroup'][i].calendar.name %></label>
+
+                </div> 
+                <a class="cal-list-options-btn my-cal-list-options-btn-<%= signatures['taskGroup'][i].calendar.id %>" style="background-color:#<%=signatures['taskGroup'][i].backgroundColor%>; border-color:#<%= signatures['taskGroup'][i].borderColor%>;">
+                    <img src="../prototype/modules/calendar/img/arrow_down.png" width="10" height="10" class="cal-list-img"/>
+                </a>
+
+
+                <div class="cal-list-options my-cal-list-options-<%= signatures['taskGroup'][i].calendar.id %> hidden">
+                    <ul>
+                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['taskGroup'][i].calendar.id%>);">Configurações</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(0, <%= signatures['taskGroup'][i].calendar.id%>);">Importar</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(1, <%= signatures['taskGroup'][i].calendar.id%>);">Exportar</a></li>
+                        <li><a href="#" onclick="show_modal_shared(<%= signatures['taskGroup'][i].calendar.id%>);">Compartilhar agenda</a></li>
+                        <li><a href="#" onclick="remove_calendar();">Remover agenda</a></li>
+                    </ul>
+
+                </div>
+            </li>
+            <%}%>
+
+        </ul>
+    </div>
+
     <div class="my-calendars">
         <a title='Minhas agendas' class="title-my-calendars" aria-expanded='false' role='button' tabindex='0'>Minhas agendas</a>
@@ -7,25 +52,23 @@
         <a href="#" class="button new new-calendar">Nova Agenda</a>
         <ul class="list-calendars my-list-calendars">
-            <% for (var i=0; i < signature.length; i++) {
-            if(signature[i].isOwner == 1){
-            %>
-            <li class="list-calendars-item list-calendars-item-<%= signature[i].calendar.id %>" title="<%= signature[i].calendar.name %>">
+            <% for (var i=0; i < signatures.calendar.length; i++) {%>
+            <li class="list-calendars-item list-calendars-item-<%= signatures['calendar'][i].calendar.id %>" title="<%= signatures['calendar'][i].calendar.name %>">
 
                 <div>
-                    <input class="calendar-view" type="checkbox" name="" value="<%= signature[i].calendar.id %>" checked="checked"/>
-                    <label><%= signature[i].calendar.name %></label>
+                    <input class="calendar-view" type="checkbox" name="" value="<%= signatures['calendar'][i].calendar.id %>" checked="checked"/>
+                    <label><%= signatures['calendar'][i].calendar.name %></label>
 
                 </div> 
-                <a class="cal-list-options-btn my-cal-list-options-btn-<%= signature[i].calendar.id %>" style="background-color:#<%=signature[i].backgroundColor%>; border-color:#<%= signature[i].borderColor%>;">
+                <a class="cal-list-options-btn my-cal-list-options-btn-<%= signatures['calendar'][i].calendar.id %>" style="background-color:#<%=signatures['calendar'][i].backgroundColor%>; border-color:#<%= signatures['calendar'][i].borderColor%>;">
                     <img src="../prototype/modules/calendar/img/arrow_down.png" width="10" height="10" class="cal-list-img"/>
                 </a>
 
 
-                <div class="cal-list-options my-cal-list-options-<%= signature[i].calendar.id %> hidden">
+                <div class="cal-list-options my-cal-list-options-<%= signatures['calendar'][i].calendar.id %> hidden">
                     <ul>
-                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signature[i].calendar.id%>);">Configurações</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(0, <%= signature[i].calendar.id%>);">Importar</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(1, <%= signature[i].calendar.id%>);">Exportar</a></li>
-                        <li><a href="#" onclick="show_modal_shared(<%= signature[i].calendar.id%>);">Compartilhar agenda</a></li>
+                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['calendar'][i].calendar.id%>);">Configurações</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(0, <%= signatures['calendar'][i].calendar.id%>);">Importar</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(1, <%= signatures['calendar'][i].calendar.id%>);">Exportar</a></li>
+                        <li><a href="#" onclick="show_modal_shared(<%= signatures['calendar'][i].calendar.id%>);">Compartilhar agenda</a></li>
                         <li><a href="#" onclick="remove_calendar();">Remover agenda</a></li>
                     </ul>
@@ -33,9 +76,5 @@
                 </div>
             </li>
-            <% 		
-            }else
-            external = true;
-            }
-            %>
+            <%}%>
 
         </ul>
@@ -47,23 +86,20 @@
         <a href="#" class="button new new-calendar-shared tiny">Nova Agenda</a>
 
-        <% if (external) { %>	
         <ul class="list-calendars signed-list-calendars">
-            <% for (var i=0; i < signature.length; i++) {
-            if(signature[i].isOwner == 0){
-            %>
-            <li class="list-calendars-item list-calendars-item-<%= signature[i].calendar.id %>" title="<%= signature[i].calendar.name %>">
+            <% for (var i=0; i < signatures['sharedCalendar'].length; i++) {%>
+                <li class="list-calendars-item list-calendars-item-<%= signatures['sharedCalendar'][i].calendar.id %>" title="<%= signatures['sharedCalendar'][i].calendar.name %>">
                  <div>
-		    <input class="calendar-view" type="checkbox" name="" value="<%= signature[i].calendar.id %>" checked="checked"/>
-		    <label><%= signature[i].calendar.name %></label>
-		 </div>
-                <a class="cal-list-options-btn my-cal-list-options-btn-<%= signature[i].calendar.id %>" style="background-color:#<%=signature[i].backgroundColor%>; border-color:#<%= signature[i].borderColor%>;">
+        		    <input class="calendar-view" type="checkbox" name="" value="<%= signatures['sharedCalendar'][i].calendar.id %>" checked="checked"/>
+        		    <label><%= signatures['sharedCalendar'][i].calendar.name %></label>
+        		 </div>
+                <a class="cal-list-options-btn my-cal-list-options-btn-<%= signatures['sharedCalendar'][i].calendar.id %>" style="background-color:#<%=signatures['sharedCalendar'][i].backgroundColor%>; border-color:#<%= signatures['sharedCalendar'][i].borderColor%>;">
                     <img src="../prototype/modules/calendar/img/arrow_down.png" width="10" height="10" class="cal-list-img"/></a>
-                <div class="cal-list-options my-cal-list-options-<%= signature[i].calendar.id  %> hidden">
+                <div class="cal-list-options my-cal-list-options-<%= signatures['sharedCalendar'][i].calendar.id  %> hidden">
                     <ul>
-                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signature[i].calendar.id %>);">Configurações</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(0, <%= signature[i].calendar.id %>);">Importar</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(1, <%= signature[i].calendar.id %>);">Exportar</a></li>
-                        <%if(!signature[i].permission.acl['required']){%>
-                            <li><a href="#" onclick="cancel_signature(<%= signature[i].id %>);">Cancelar assinatura</a></li>
+                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['sharedCalendar'][i].calendar.id %>);">Configurações</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(0, <%= signatures['sharedCalendar'][i].calendar.id %>);">Importar</a></li>
+                        <li><a href="#" onclick="show_modal_import_export(1, <%= signatures['sharedCalendar'][i].calendar.id %>);">Exportar</a></li>
+                        <%if(!signatures['sharedCalendar'][i].permission.acl['required']){%>
+                            <li><a href="#" onclick="cancel_signatures['sharedCalendar'](<%= signatures['sharedCalendar'][i].id %>);">Cancelar assinatura</a></li>
                         <%}%>
                     </ul>
@@ -72,10 +108,6 @@
 
             </li>
-            <% 		
-            }
-            }
-            %>
+            <%}%>
         </ul>
-        <% } %>
     </div>
 </div>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6768)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6797)
@@ -122,4 +122,5 @@
 		<div class="block-vertical-toolbox">
 			<a class="button add add-event" href="#">Adicionar evento</a>
+			<a class="button add add-task" href="#">Adicionar tarefa</a>
 			<!--<a class="button add" href="#" onclick="add_events_list();">Lista de Eventos</a>-->
 			<div class="mini-calendar"></div>