Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars_itemlist.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars_itemlist.ejs	(revision 6498)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars_itemlist.ejs	(revision 6812)
@@ -1,3 +1,4 @@
-		<%var isOwner = parseInt(data.signature.isOwner) ? '' : 'readonly="readonly"'%>
+		<%var isOwner = parseInt(data.signature.isOwner) ? '' : 'readonly="readonly"';
+		var isGroup = !!parseInt(data.signature.calendar.type);%>
 		<form method="POST" action="calendarSignature:configure">
 			<input type="hidden" name="signature" value="<%=data.signature.id%>" />
@@ -7,5 +8,9 @@
 
 				<p class="input-group">
+				<%if(!isGroup){%>	
 					<label for="name">Nome da agenda:</label>
+				<%}else{%>
+					<label for="name">Nome do grupo:</label>
+				<%}%>
 					<input name="name" value="<%=data.calendar.name%>" <%= isOwner %> type="text" class=""/>
 				</p>
@@ -15,13 +20,16 @@
 					<input name="description" value="<%=data.calendar.description%>" <%= isOwner %> type="text" class=""/>
 				</p>
-
+			<%if(!isGroup){%>	
 				<p class="input-group">
 					<label for="duration">Duração padrão de evento:</label>
 					<input name="duration" value="<%=data.calendar.defaultDuration%>" <%= isOwner %> type="text" class="number"/>
 				</p>
-				
+			<%}%>	
 				<p class="input-group">
+				<%if(!isGroup){%>
 					<label for="timezone">Fuso horário da agenda:</label>
-					<%if(data.signature.isOwner == 0){%>
+				<%}else{%>
+					<label for="timezone">Fuso horário do grupo:</label>
+				<%} if(data.signature.isOwner == 0){%>
 					<input name="timezone" value="<%=data.calendar.timezone%>" size="50" readonly="readonly" type="text" class=""/>
 					<%}else{%>
@@ -29,15 +37,18 @@
 					<%}%>
 				</p>
-
+			<%if(!isGroup){%>		
 				<p class="input-group">
 					<label for="location">URL:</label>
 					<input name="location" value="<%=data.calendar.location%>" <%= isOwner %> type="text" class=""/>
 				</p>
-				
+			<%}%>
 			</fieldset>     
 
 			<fieldset class="configurations-colors">
+			<%if(!isGroup){%>
 				<legend class="">Cores dos eventos desta agenda</legend>
-
+			<%} else{%>	
+				<legend class="">Cores das tarefas deste grupo</legend>
+			<%}%>
 				<div class="calendar-colorpicker"></div>
 			</fieldset>
@@ -86,5 +97,9 @@
 							</select>
 							<input type="hidden" name="alarmId[]" value="<%=data.signature.defaultAlarms[i].id%>" />
+						<%if(!isGroup){%>
 							<label>antes de cada evento.</label>
+						<%}else{%>
+							<label>antes de cada tarefa.</label>
+						<%}%>
 							<a class="button remove tiny">Excluir</a>
 						</li>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars.ejs	(revision 5341)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/configure_calendars.ejs	(revision 6812)
@@ -1,4 +1,9 @@
+<%if(!!parseInt(data.type)){%>
+<div class="configure-calendars-win active" title="Configurações do Grupo de Tarefas">
+	<h3>Preferências do Grupo de Tarefas</h3>
+<%}else{%>
 <div class="configure-calendars-win active" title="Configurações da Agenda">
 	<h3>Preferências da Agenda</h3>
+<%}%>
 	<div  class="header-menu-container">
 		<a class="button cancel" href="#">Cancelar</a>
@@ -6,8 +11,7 @@
 	</div>
 	<% for (var i=0; i<data.signatures.length; i++) { %>
-	<fieldset class="user-calendar" title="<%= data.calendars[i].name%>" >
-		<legend><%= data.calendars[i].name%></legend>
-		
-	</fieldset>
+		<fieldset class="user-calendar" title="<%= data.calendars[i].name%>" >
+			<legend><%= data.calendars[i].name%></legend>
+		</fieldset>
 	<%} //for each signatures %>
 <!--	
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/alarms_add_itemlist.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/alarms_add_itemlist.ejs	(revision 6393)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/alarms_add_itemlist.ejs	(revision 6812)
@@ -1,3 +1,3 @@
-<% if(data.alarm){
+<%if(data.alarm){
 	for(var i = 0; i < data.alarm.defaultAlarms.length; i++){%>
 		<li class="input-group">
@@ -16,5 +16,9 @@
 			<input type="hidden" name="alarmId[]" value="" />
 			<input type="hidden" name="isDefaultAlarm[]" value="<%=data.alarm.useAlarmDefault ? 1 : 0%>" />
-			<label> antes de cada evento.</label>
+			<%if(!!!parseInt(data.type)){%>
+				<label>antes de cada evento.</label>
+			<%}else{%>
+				<label>antes de cada tarefa.</label>
+			<%}%>
 			<a class="button remove tiny"></a>
 		</li>
@@ -35,5 +39,9 @@
 		</select>
 		<input type="hidden" name="alarmId[]" value="" />
-		<label> antes de cada evento.</label>
+		<%if(!!!parseInt(data.type)){%>
+			<label>antes de cada evento.</label>
+		<%}else{%>
+			<label>antes de cada tarefa.</label>
+		<%}%>
 		<a class="button remove tiny"></a>
 	</li>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 6797)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 6812)
@@ -6,5 +6,5 @@
             signatures['taskGroup'].push(data.signatures[i]);
         }else{
-            signatures[data.signatures[i].isOwner == 1 ? 'calendar' : 'sharedCalendar'].push(data.signatures[i]);    
+            signatures[data.signatures[i].isOwner == 1 ? 'calendar' : 'sharedCalendar'].push(data.signatures[i]); 	
         }
     }
@@ -33,9 +33,6 @@
                 <div class="cal-list-options my-cal-list-options-<%= signatures['taskGroup'][i].calendar.id %> hidden">
                     <ul>
-                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['taskGroup'][i].calendar.id%>);">Configurações</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(0, <%= signatures['taskGroup'][i].calendar.id%>);">Importar</a></li>
-                        <li><a href="#" onclick="show_modal_import_export(1, <%= signatures['taskGroup'][i].calendar.id%>);">Exportar</a></li>
-                        <li><a href="#" onclick="show_modal_shared(<%= signatures['taskGroup'][i].calendar.id%>);">Compartilhar agenda</a></li>
-                        <li><a href="#" onclick="remove_calendar();">Remover agenda</a></li>
+                        <li><a href="#" onclick="add_tab_configure_groups(<%= signatures['taskGroup'][i].calendar.id%>);">Configurações</a></li>
+                        <li><a href="#" onclick="remove_calendar();">Remover Grupo</a></li>
                     </ul>
 
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6811)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6812)
@@ -90,4 +90,5 @@
 <script type='text/javascript' src='<?= MODULESURL ?>/js/task.helpers.js'></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/helpers.js'></script>
+<script type="text/javascript" src="<?= MODULESURL ?>/js/tasks.helpers.js"></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/calendar.shared.js'></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/timezone.js'></script>
@@ -102,4 +103,5 @@
 <script type="text/javascript" src="<?= MODULESURL ?>/js/desktop.notification.js"></script>
 
+
 </head>
 
@@ -112,4 +114,5 @@
 					<li><a href="#" onclick="add_tab_preferences();" class="menu-command configurations">Prefer&ecirc;ncias</a></li>
 					<li><a href="#" onclick="add_tab_configure_calendar();" class="menu-command configurations">Configura&ccedil;&atilde;o de agendas</a></li>
+					<li><a href="#" onclick="add_tab_configure_groups();" class="menu-command configurations">Configura&ccedil;&atilde;o de grupos</a></li>
 					<li><a href="#" onclick="show_modal_import_export(0);" class="menu-pass-through">Importar</a></li>
 					<li><a href="#" onclick="show_modal_import_export(1);" class="menu-pass-through">Exportar</a></li>