Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6812)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6815)
@@ -1691,5 +1691,5 @@
 
 
-function add_tab_configure_calendar(calendar) 
+function add_tab_configure_calendar(calendar, type) 
 {
     var calendars = [];
@@ -1699,5 +1699,5 @@
 	
 	for (var i=0; i<Calendar.signatures.length; i++) {
-		if(!!!parseInt(Calendar.signatures[i].calendar.type)){
+		if(parseInt(Calendar.signatures[i].calendar.type) == type){
 		   calendars.push(Calendar.signatures[i].calendar);
 		   signatures.push(Calendar.signatures[i]);
@@ -1708,11 +1708,15 @@
 		}
    }
-		
-    if(!(document.getElementById('configure_tab')))
+	var tab_selector = ['configure_tab', 'configure_tab_group'];	
+    if(!(document.getElementById(tab_selector[type])))
     {
 	$('.positionHelper').css('display', 'none');
 	$('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-	var tab_title = "Configurações de agendas";
-	$tabs.tabs( "add", "#configure_tab", tab_title );
+	if(type == 0){
+		var tab_title = "Configurações de agendas";
+	}else{
+		var tab_title = "Configurações de Grupos";
+	}
+	$tabs.tabs( "add", "#"+tab_selector[type], tab_title );
 		
 	var dataColorPicker = {
@@ -1741,5 +1745,5 @@
 		signature:signatures[nowActive]
 		}, function( form_template ){
-		var form_content = jQuery('#configure_tab .accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
+		var form_content = jQuery('#'+tab_selector[type]+' .accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
 		form_content.find('.preferences-alarms-list .button').button({
 		    text:false, 
@@ -1870,10 +1874,10 @@
     signatures:signatures
 }, function( template ){
-    var template_content = jQuery('#configure_tab').html( template ).find('.configure-calendars-win');
+    var template_content = jQuery('#'+tab_selector[type]).html( template ).find('.configure-calendars-win');
     template_content.find('.button').button().filter('.save').click(function(evt){
 	if(calendarAlarms.length)
 		DataLayer.removeFilter('calendarSignatureAlarm', {filter: ['IN','id', calendarAlarms]});	
 	template_content.find('form').submit();
-	$tabs.tabs( "remove", "#configure_tab");
+	$tabs.tabs( "remove", "#"+tab_selector[type]);
 	DataLayer.commit( false, false, function( received ){
 	    delete Calendar.currentViewKey;
@@ -1884,5 +1888,5 @@
 		Calendar.load();
     }).end().filter('.cancel').click(function(evt){
-	$tabs.tabs( "remove", "#configure_tab");
+	$tabs.tabs( "remove", "#"+tab_selector[type]);
     });
 
@@ -1910,5 +1914,5 @@
 	$('.positionHelper').css('display','none');
     $('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-    $tabs.tabs("select", "#configure_tab");
+    $tabs.tabs("select", "#"+tab_selector[type]);
     $('.accordion-user-calendars').accordion( "activate" , previewActiveCalendarConf );
 		
@@ -2034,7 +2038,11 @@
 
 
-function remove_calendar(){
+function remove_calendar(type){
     /* Pode ser assim $('.cal-list-options-btn.ui-state-active').attr('class').replace(/[a-zA-Z-]+/g, ''); */
-    $.Zebra_Dialog('Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?', {
+	if(!!parseInt(type))
+		var title = 'Todas as tarefas deste grupo serão removidas. Deseja prosseguir com a operação?';
+	else
+		var title = 'Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?';
+    $.Zebra_Dialog(title, {
 	'type':     'question',
 	'overlay_opacity': '0.5',
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js	(revision 6812)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js	(revision 6815)
@@ -588,458 +588,2 @@
 UI.dialogs.addTask.dialog('open');
 }
-
-function add_tab_configure_groups(calendar) 
-{
-    var calendars = [];
-    var signatures = [];
-    var previewActiveCalendarConf = 0;
-	var calendarAlarms = [];
-	
-	for (var i=0; i<Calendar.signatures.length; i++) {
-		if(!!parseInt(Calendar.signatures[i].calendar.type)){
-		   calendars.push(Calendar.signatures[i].calendar);
-		   signatures.push(Calendar.signatures[i]);
-		   length = signatures.length - 1;
-		   signatures[length].numberDefaultAlarm = signatures[length].defaultAlarms != '' ?  signatures[length].defaultAlarms.length: 0;
-		   if (calendar && calendars[length].id == calendar)
-			   previewActiveCalendarConf = length;
-		}
-   }
-		
-    if(!(document.getElementById('configure_tab_group')))
-    {
-	$('.positionHelper').css('display', 'none');
-	$('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-	var tab_title = "Configurações de Grupos";
-	$tabs.tabs( "add", "#configure_tab_group", tab_title );
-		
-	var dataColorPicker = {
-	    colorsSuggestions: colors_suggestions()
-	};
-		
-		
-		
-	var populateAccordionOnActive = function(event, ui) {
-	    var nowActive = (typeof(event) == 'number') ? event : $(event.target).accordion( "option", "active" );
-	    if (nowActive === false)
-			return;
-	    dataColorPicker.colorsDefined = {
-		border: '#'+signatures[nowActive].borderColor, 
-		font:'#'+signatures[nowActive].fontColor, 
-		background:'#'+signatures[nowActive].backgroundColor
-	    };
-	    if (!jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).has('form')) {
-		return true;
-	    }
-		
-	    DataLayer.render( 'templates/configure_calendars_itemlist.ejs', {
-		user:User, 
-		type: 1,
-		calendar:calendars[nowActive], 
-		signature:signatures[nowActive]
-		}, function( form_template ){
-		var form_content = jQuery('#configure_tab_group .accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
-		form_content.find('.preferences-alarms-list .button').button({
-		    text:false, 
-		    icons:{
-			primary:'ui-icon-close'
-		    }
-		});
-	    form_content.find('.button').button();
-	    jQuery('.preferences-alarms-list').find('.button.remove').click(function(el){
-			calendarAlarms[calendarAlarms.length] = $(this).parent('li').find('input[name="alarmId[]"]').val();
-			$(this).parent().remove();
-		});
-	
-		DataLayer.render( 'templates/timezone_list.ejs', {}, function( timezones_options ){
-		    var valueTimeZone = calendars[nowActive].timezone;
-		    form_content.find('select[name="timezone"]').html(timezones_options).find('option[value="'+valueTimeZone+'"]').attr('selected','selected').trigger('change');
-		});
-
-		form_content.find('.button-add-alarms').click(function(){
-		    DataLayer.render( 'templates/alarms_add_itemlist.ejs', {type: 1}, function( template ){						
-			jQuery('.preferences-alarms-list').append(template)
-			.find('li:last label:eq(0)').remove().end()
-			.find('.number').numeric().end()
-			.find('.button.remove').button({
-			    text:false, 
-			    icons:{
-				primary:'ui-icon-close'
-			    }
-			}).click(function(el) {
-			$(this).parent().remove();
-		    });    
-		    });
-		});
-
-
-	    /**
-				 * Set color picker
-				 */
-	    DataLayer.render( 'templates/calendar_colorpicker.ejs', dataColorPicker, function( template ){
-		form_content.find('.calendar-colorpicker').html( template );
-
-		var f = $.farbtastic(form_content.find('.colorpicker'), colorpickerPreviewChange);
-		var selected;
-		var colorpicker = form_content.find('.calendar-colorpicker');
-					
-		var colorpickerPreviewChange = function(color) {
-		    var pickedup = form_content.find('.colorwell-selected').val(color).css('background-color', color);
-
-		    var colorpicker = form_content.find('.calendar-colorpicker');
-
-		    if (pickedup.is('input[name="backgroundColor"]')) {
-			colorpicker.find('.fc-event-skin').css('background-color',color);
-		    } else if (pickedup.is('input[name="fontColor"]')) {
-			colorpicker.find('.fc-event-skin').css('color',color);
-		    } else if (pickedup.is('input[name="borderColor"]')) {
-			colorpicker.find('.fc-event-skin').css('border-color',color);
-		    }
-		} 
-					
-		form_content.find('.colorwell').each(function () {
-		    f.linkTo(this);
-
-		    if ($(this).is('input[name="backgroundColor"]')) {
-			colorpicker.find('.fc-event-skin').css('background-color', $(this).val());
-		    } else if ($(this).is('input[name="fontColor"]')) {
-			colorpicker.find('.fc-event-skin').css('color', $(this).val());
-		    } else if ($(this).is('input[name="borderColor"]')) {
-			colorpicker.find('.fc-event-skin').css('border-color', $(this).val());
-		    }
-		})
-		.focus(function() {
-		    if (selected) {
-			$(selected).removeClass('colorwell-selected');
-		    }
-
-		    $(selected = this).addClass('colorwell-selected');
-		    f.linkTo(this, colorpickerPreviewChange);
-		    f.linkTo(colorpickerPreviewChange);
-
-		});
-
-		form_content.find('select.color-suggestions').change(function() {
-		    var colors;
-
-		    if(colors = dataColorPicker.colorsSuggestions[$(this).val()]) {	
-			colorpicker
-			.find('input[name="fontColor"]').val(colors.font).focus().end()	
-			.find('input[name="backgroundColor"]').val(colors.background).focus().end()
-			.find('input[name="borderColor"]').val(colors.border).focus().end()
-
-			.find('.fc-event-skin').css({
-			    'background-color':dataColorPicker.colorsSuggestions[$(this).val()].background,
-			    'border-color':dataColorPicker.colorsSuggestions[$(this).val()].border,
-			    'color':dataColorPicker.colorsSuggestions[$(this).val()].font 
-			});
-		    }
-		});
-
-		/**
-					 * Trata a mudança dos valores dos campos de cores.
-					 * Se mudar um conjunto de cores sugerido,
-					 * este vira um conjunto de cores personalizado.
-					 */
-		form_content.find('.colorwell').change(function (element, ui) {
-		    if (true) {
-			form_content.find('select.color-suggestions')
-			.find('option:selected').removeAttr('selected').end()
-			.find('option[value="custom"]').attr('selected', 'selected').trigger('change');
-		    }
-		});
-	    });	//END set colorpicker
-
-	    form_content.find('.phone').mask("+99 (99) 9999-9999");
-	    form_content.find('.number').numeric();
-
-	}); //END DataLayer.render( 'templates/configure_calendars_itemlist.ejs' ...
-
-// === validations preferences ==== 
-
-			
-} //END populateAccordionOnActive(event, ui)
-		
-DataLayer.render( 'templates/configure_calendars.ejs', {
-    user:User,
-	type: 1,
-    calendars:calendars, 
-    signatures:signatures
-}, function( template ){
-    var template_content = jQuery('#configure_tab_group').html( template ).find('.configure-calendars-win');
-    template_content.find('.button').button().filter('.save').click(function(evt){
-	if(calendarAlarms.length)
-		DataLayer.removeFilter('calendarSignatureAlarm', {filter: ['IN','id', calendarAlarms]});	
-	template_content.find('form').submit();
-	$tabs.tabs( "remove", "#configure_tab_group");
-	DataLayer.commit( false, false, function( received ){
-	    delete Calendar.currentViewKey;
-	    Calendar.load();
-	    refresh_calendars();
-	});
-	if(calendarAlarms.length)
-		Calendar.load();
-    }).end().filter('.cancel').click(function(evt){
-	$tabs.tabs( "remove", "#configure_tab_group");
-    });
-
-    /**
-			 * Muda a estrutura do template para a aplicação do plugin accordion
-			 */
-    template_content.find('.header-menu-container').after('<div class="accordion-user-calendars"></div>').end().find('.accordion-user-calendars')
-    .append(template_content.children('fieldset'));
-			
-    template_content.find('.accordion-user-calendars').children('fieldset').each(function(index) {
-	$(this).before($('<h3></h3>').html($(this).children('legend')));
-    });
-			
-    template_content.find('.accordion-user-calendars').accordion({ 
-	autoHeight: false, 
-	collapsible: true, 
-	clearStyle: true,
-	active: previewActiveCalendarConf, 
-	changestart: populateAccordionOnActive 
-    });
-    populateAccordionOnActive(previewActiveCalendarConf);
-});
-
-} else {
-	$('.positionHelper').css('display','none');
-    $('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-    $tabs.tabs("select", "#configure_tab_group");
-    $('.accordion-user-calendars').accordion( "activate" , previewActiveCalendarConf );
-		
-    return true;
-}
-
-}
-
-
-
-
-function refresh_groups(){
-
-    var colorsSuggestions = colors_suggestions();
-    var buttons_colors = "";
-    for(var i = 0; i < colorsSuggestions.length; i++){
-	buttons_colors += "<a class=\"cal-colors-options-btn ui-icon ui-button-icon-primary signed-cal-colors-options-btn-"+i+"\"  style=\"background-color:"+colorsSuggestions[i]['background']+"; border-color:"+colorsSuggestions[i]['border']+"; color:"+colorsSuggestions[i]['font']+"\">&bull;</a>";
-    }
-
-    //DataLayer.render( 'templates/calendar_list.ejs', 'calendar:list', ["IN", "id", Calendar.calendarIds], function( html ){
-    DataLayer.render( 'templates/calendar_list.ejs', Calendar, function( html ){
-	
-	var meu_container = $(".calendars-list").html( html );
-	
-	var doMenu = function(){
-		$('ul.list-calendars .cal-list-options-btn').each(function(){ 
-			$(this).menu({   
-			content: $(this).next().html(), 
-			width: '120', 
-			positionOpts: { 
-				posX: 'left',  
-				posY: 'bottom', 
-				offsetX: 0, 
-				offsetY: 0, 
-				directionH: 'right', 
-				directionV: 'down',  
-				detectH: true, // do horizontal collision detection   
-				detectV: true, // do vertical collision detection 
-				linkToFront: false 
-			}, 
-			flyOut: true, 
-			showSpeed: 100, 
-			crumbDefaultText: '>' 
-			}); 
-		});
-	}
-	
-	doMenu();
-	
-	$('#divAppbox').on('scroll',function(){
-		if ($('.cal-list-options-btn.fg-menu-open.ui-state-active')){			
-			var offset = $('.cal-list-options-btn.fg-menu-open.ui-state-active').offset();
-			if (offset)
-				$('.positionHelper').css('top',offset.top);
-		}
-	});
-	
-	$('ul.list-calendars .cal-list-options-btn').on('click',function(){doMenu();});         
-	
-	meu_container.find(".button.new-calendar").button({
-	    icons: {
-		primary: "ui-icon-plus"
-	    },
-	    text: false
-	}).click(function () {
-		
-	    if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
-		$(this).qtip({
-		    show: {
-		    ready: true, 
-	    solo: true, 
-	    when: {
-		    event: 'click'
-		    }
-		},
-		hide: false,
-		content: {
-		text: $('<div></div>').html( DataLayer.render( 'templates/calendar_quick_add.ejs', {} ) ), 
-		title: {
-		text:'Novo Grupo', 
-		button: '<a class="button close" href="#">close</a>'
-		}
-		},
-		style: {
-		name: 'blue', 
-	    tip: {
-		corner: 'leftMiddle'
-		}, 
-	    border: {
-		width: 4, 
-	    radius: 8
-		}, 
-	    width: {
-		min: 230, 
-	    max:230
-		}
-	    },
-	    position: {
-	    corner: {
-	    target: 'rightMiddle',
-	    tooltip: 'leftMiddle'
-	    },
-	    adjust: {
-	    x:0, 
-	    y:-12
-	    }
-	    }
-	    })
-	.qtip("api").onShow = function(arg0) {
-	    $('.qtip-active .button.close').button({
-		icons: {
-		    primary: "ui-icon-close"
-		},
-		text: false
-	    })
-	    .click(function(){
-		meu_container.find(".button.new-calendar").qtip('destroy');
-	    });
-	    //TODO emplementar tratamento de duplicação de valores no location
-	    $('.qtip-active .button.save').button().click(function(){
-		for(var i = 0; i < Calendar.calendars.length; i++){
-		    if(Calendar.calendars[i].location == ( User.me.uid + '/' + $('.qtip-active input').val())){	
-			$.Zebra_Dialog('O nome desta agenda já está sendo utilizada em uma Url de outra agenda. Por favor, informe outro nome para agenda.',{
-			    'overlay_opacity': '0.5',
-			    'type': 'warning'
-			});
-			meu_container.find(".button.new").qtip('destroy');
-			return;
-		    }
-		}
-				
-		var selected;
-		var color = $('.cal-colors-options-btn').each(function(index){
-		    if ($(this).is('.color-selected'))
-			selected = index;
-		});
-		DataLayer.put( "calendarSignature", {
-		    user: User.me.id,
-		    calendar: {
-			name: Encoder.htmlEncode($('.qtip-active input').val()),
-			timezone: User.preferences.timezone,
-			type: 1			
-		    },
-		    isOwner: 1,
-		    fontColor: colorsSuggestions[selected]['font'].substring(1) ,
-		    backgroundColor: colorsSuggestions[selected]['background'].substring(1) ,
-		    borderColor: colorsSuggestions[selected]['border'].substring(1)
-		});
-		DataLayer.commit( false, false, function( received ){
-		    delete Calendar.currentViewKey;
-		    Calendar.load();
-		    refresh_groups();
-		});
-		meu_container.find(".button.new").qtip('destroy');
-	    });
-			
-	    $('.qtip-active .button.cancel').button().click(function(){
-		meu_container.find(".button.new").qtip('destroy');
-	    });
-			
-	    $(".qtip-active input").Watermark("Nome da agenda");
-			
-	    $('.qtip-active').keydown(function(event) {
-					if (event.keyCode == '27') 
-		    meu_container.find(".button.new").qtip('destroy');
-	    });
-			
-	    $('.colors-options').prepend(buttons_colors);
-	    $('.colors-options .signed-cal-colors-options-btn-0').addClass('color-selected');
-					
-	    var buttons = $('.cal-colors-options-btn').button();
-			
-	    buttons.click(function(){
-		buttons.removeClass('color-selected');
-		$(this).addClass('color-selected');
-	    });
-	}				
-	}
-    });
-	
-    $("img.cal-list-img").click(function(evt) {
-	$(".cal-list-options_1").toggleClass( "hidden" );
-    });
-
-    $(".my-calendars a.title-my-calendars").click(function() {
-	$(".my-calendars ul.my-list-calendars").toggleClass("hidden")
-	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-s");
-	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-e");
-    });
-		
-    $(".signed-calendars a.title-signed-calendars").click(function() {
-	$(".signed-calendars ul.signed-list-calendars").toggleClass( "hidden");
-    });
-
-    $("ul li.list-calendars-item").click(function(evt) {
-	
-	});   
-
-    $("ul li.list-calendars-item .ui-corner-all").click(function(evt) {
-	//alert('teste');
-	});   
-        
-    meu_container.find(".button.new-calendar-shared").button({
-	icons: {
-	    primary: "ui-icon-plus"
-	},
-	text: false
-    }).click(function (event) {
-	show_modal_search_shared();
-    });
-		
-		
-    //TODO Implementar ocultar agendas.
-    meu_container.find('.title-signed-calendars').click(function(evt){
-	var status = $(this).parent().find('.status-list-shared');
-			
-	if(status.hasClass('ui-icon-triangle-1-s'))
-	    status.removeClass('ui-icon-triangle-1-s').addClass('ui-icon-triangle-1-e');
-	else
-	    status.removeClass('ui-icon-triangle-1-e').addClass('ui-icon-triangle-1-s');
-    });
-		
-    $('.calendar-view').click(function(evt){
-	if($tabs.tabs('option' ,'selected') == 1){
-	    pageselectCallback('', 0);
-	}
-			
-	if(Calendar.currentView){
-	    var checkBox = $(this);
-	    if(!!Calendar.currentView[ checkBox.val() ]){
-		Calendar.currentView[ checkBox.val() ].hidden = !checkBox.is(':checked');
-		$('#calendar').fullCalendar( 'refetchEvents' );
-	    }
-	}
-    });
-});
-}
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6812)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6815)
@@ -4,5 +4,4 @@
 
 	refresh_calendars();
-	refresh_groups();
 	$tabs = $('#tabs').tabs({
 	    add: function( event, ui ) {
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 6812)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_list.ejs	(revision 6815)
@@ -33,6 +33,6 @@
                 <div class="cal-list-options my-cal-list-options-<%= signatures['taskGroup'][i].calendar.id %> hidden">
                     <ul>
-                        <li><a href="#" onclick="add_tab_configure_groups(<%= signatures['taskGroup'][i].calendar.id%>);">Configurações</a></li>
-                        <li><a href="#" onclick="remove_calendar();">Remover Grupo</a></li>
+                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['taskGroup'][i].calendar.id%>, 1);">Configurações</a></li>
+                        <li><a href="#" onclick="remove_calendar(1);">Remover Grupo</a></li>
                     </ul>
 
@@ -64,9 +64,9 @@
                 <div class="cal-list-options my-cal-list-options-<%= signatures['calendar'][i].calendar.id %> hidden">
                     <ul>
-                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['calendar'][i].calendar.id%>);">Configurações</a></li>
+                        <li><a href="#" onclick="add_tab_configure_calendar(<%= signatures['calendar'][i].calendar.id%>, 0);">Configurações</a></li>
                         <li><a href="#" onclick="show_modal_import_export(0, <%= signatures['calendar'][i].calendar.id%>);">Importar</a></li>
                         <li><a href="#" onclick="show_modal_import_export(1, <%= signatures['calendar'][i].calendar.id%>);">Exportar</a></li>
                         <li><a href="#" onclick="show_modal_shared(<%= signatures['calendar'][i].calendar.id%>);">Compartilhar agenda</a></li>
-                        <li><a href="#" onclick="remove_calendar();">Remover agenda</a></li>
+                        <li><a href="#" onclick="remove_calendar(0);">Remover agenda</a></li>
                     </ul>
 
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6812)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/index.ejs	(revision 6815)
@@ -90,5 +90,4 @@
 <script type='text/javascript' src='<?= MODULESURL ?>/js/task.helpers.js'></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/helpers.js'></script>
-<script type="text/javascript" src="<?= MODULESURL ?>/js/tasks.helpers.js"></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/calendar.shared.js'></script>
 <script type='text/javascript' src='<?= MODULESURL ?>/js/timezone.js'></script>
@@ -113,6 +112,6 @@
 				<ul>
 					<li><a href="#" onclick="add_tab_preferences();" class="menu-command configurations">Prefer&ecirc;ncias</a></li>
-					<li><a href="#" onclick="add_tab_configure_calendar();" class="menu-command configurations">Configura&ccedil;&atilde;o de agendas</a></li>
-					<li><a href="#" onclick="add_tab_configure_groups();" class="menu-command configurations">Configura&ccedil;&atilde;o de grupos</a></li>
+					<li><a href="#" onclick="add_tab_configure_calendar(false, 0);" class="menu-command configurations">Configura&ccedil;&atilde;o de agendas</a></li>
+					<li><a href="#" onclick="add_tab_configure_calendar(false, 1);" class="menu-command configurations">Configura&ccedil;&atilde;o de grupos</a></li>
 					<li><a href="#" onclick="show_modal_import_export(0);" class="menu-pass-through">Importar</a></li>
 					<li><a href="#" onclick="show_modal_import_export(1);" class="menu-pass-through">Exportar</a></li>