Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js	(revision 6776)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js	(revision 6822)
@@ -2657,27 +2657,29 @@
 
 function send_message(ID, folder, folder_name){
-     if(!zebraDiscardEventDialog && $('#fileupload_msg'+ID).find('.in-progress').length )
-     {
-         zebraDiscardEventDialog = true;
-         window.setTimeout(function() {
-         $.Zebra_Dialog('Existem anexos sendo enviados para o servidor. Caso envie sua mensagem agora estes arquivos serão perdidos.', {
-                    'type':     'question',
-                    'overlay_opacity': '0.5',
-                    'buttons':  ['Descartar anexos e enviar', 'Continuar editando e esperar anexos'],
-                    'width' : 500,
-                    'onClose':  function(clicked) {
-                            if(clicked == 'Descartar anexos e enviar' ) 
-                              send_valided_message(ID, folder, folder_name);
-
-                            window.setTimeout(function() {
-                                    zebraDiscardEventDialog = false;
-                            }, 500);
+    if(!zebraDiscardEventDialog && $('#fileupload_msg'+ID).find('.att-box-loading').length )
+    {
+        zebraDiscardEventDialog = true;
+        window.setTimeout(function() {
+            $.Zebra_Dialog('Existem anexos sendo enviados para o servidor. Caso envie sua mensagem agora estes arquivos serão perdidos.', {
+                'type':     'question',
+                'overlay_opacity': '0.5',
+                'buttons':  ['Descartar anexos e enviar', 'Continuar editando e esperar anexos'],
+                'width' : 500,
+                'onClose':  function(clicked) {
+                    if(clicked == 'Descartar anexos e enviar' ){ 
+                        $.each($('#fileupload_msg'+ID).find('.att-box'), function(index, value){
+                            if($(value).find(".att-box-loading").length)
+                                $(value).find('.att-box-delete').trigger("click");
+                        });
+                        send_valided_message(ID, folder, folder_name);
                     }
-             })
-          }, 300); 
-
-     }
-     else
-       send_valided_message(ID, folder, folder_name);     
+                    window.setTimeout(function() {
+                        zebraDiscardEventDialog = false;
+                    }, 500);
+                }
+            })
+        }, 300); 
+    }else
+        send_valided_message(ID, folder, folder_name);     
 }
 
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6810)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6822)
@@ -15,4 +15,6 @@
 allMsgsSelected = false;
 totalFolderMsgs = 0;
+var jqXHR = new Array();
+var idattachbycontent = 0;
 
 onceOpenedHeadersMessages = {};
@@ -1665,4 +1667,6 @@
 		$(chk_box_element).click(function(e){
 				updateSelectedMsgs($(this).is(':checked'),headers_msgs.msg_number);
+				$(".selected_shortcut_msg").removeClass("current_selected_shortcut_msg selected_shortcut_msg");
+				$(this).parents("tr:first").addClass("current_selected_shortcut_msg selected_shortcut_msg");
 				changeBgColor(e,headers_msgs.msg_number);
 		});
@@ -4569,9 +4573,9 @@
 		},	
 		add: function (e, data) {
-            var jqXHR;
+            var iterator = idattachbycontent;
 			if(!maxAttachmentSize || data.files[0].size < maxAttachmentSize || is_ie) {
 				setTimeout(function() {
                     $('#attDisposition'+ID).val('attachment');
-					jqXHR = data.submit();
+					jqXHR[iterator] = data.submit();
 				}, 100);
 			}
@@ -4599,5 +4603,5 @@
 					}
                     if(jqXHR){
-                        jqXHR.abort();
+                        jqXHR[iterator].abort();
                     }
 				});
@@ -4645,5 +4649,8 @@
 				}else
 					fileUploadMSG.find(' .fileinput-button.new').removeClass('new');
+
+				idattachbycontent++
 			});
+			
 		},
 		done: function(e, data){